## Using the grid

You can use muliple rows ... and divide each row in multiple columns. The grid contains 12 rows.

## Rows

### Syntax

```php
$renderAdminLTE->addRow([HTML code]);
```

### Return

{string} html code

### Parameters

* [HTML code] - {string} Html code of the visible content

## Columns

The grid has a width of 12 columns. With giving a number 1..12 you can set the witdth of your output container in the current row.

```txt

         |  1 |  2 |  3 |  4 |  5 |  6 |  7 |  8 |  9 | 10 | 11 | 12 |
          ____ ____ ____ ____ ____ ____ ____ ____ ____ ____ ____ ____ 
 12 x 1  |    :    :    :    :    :    :    :    :    :    :    :    |
         |____:____:____:____:____:____:____:____:____:____:____:____|
          ___________________________________________________________ 
 full:   |                                                           |
 1 x 12  |___________________________________________________________|  
          _____________________________ _____________________________ 
 half:   |                             |                             |
 2 x 6   |_____________________________|_____________________________|
          ______________ _____________________________ ______________
 3-6-3   |              |                             |              |
         |______________|_____________________________|______________|
```

### Syntax

```php
$renderAdminLTE->addCol([HTML code], [Width]);
```

### Return

{string} html code

### Parameters

* [HTML code] - {string} Html code of the visible content
* [Width] - {integer} number of column width; values: 1..12

## Example

You can define a width of 1..12 to define a screen width of your cell.

Here is an example with 3 rows ... first with fill width; then on row with 3 columns and a third row with 2 columns:

```php
echo ''
    .$renderAdminLTE->addRow(
        $renderAdminLTE->addCol("full width column", 12 )
    )
    . $renderAdminLTE->addRow(
        $renderAdminLTE->addCol("column 1/ 3", 4 )
        . $renderAdminLTE->addCol("column 2/ 3", 4 )
        . $renderAdminLTE->addCol("column 3/ 3", 4 )
    )
    .$renderAdminLTE->addRow(
        $renderAdminLTE->addCol("column 1/ 2", 6 )
        . $renderAdminLTE->addCol("column 1/ 2", 6 )
)
;
```
