## Smallbox

Solid colored box to highlight a single value; optional with a link

![Smallbox](../images/examples_smallbox.png)

### Syntax

```php
$renderAdminLTE->getSmallbox($aOptions);
```

### Return

{string} html code

### Parameters

* $aOptions - {array} options to describe the element

Styling:

Key      | Description
---      | ---
shadow   | size of shadow; one of<br>- [empty] (=default: between small and regular)<br>- "none"<br>- "small"<br>- "regular"<br>- "large"
type     | one of<br>- [empty]<br>- "danger"<br>- "dark"<br>- "info"<br>- "primary"<br>- "secondary"<br>- "success"<br>- "warning"

Content:

Key           | Description
---           | ---
icon          | icon css class; eg. fontawesome "fa-regular fa-thumbs-up"
text          | visible text
number        | Value as string, eg. to format large integers
url           | optional: url to set a link on the bottom
linktext      | used if a url was given: linked text

### Example

```php
$renderAdminLTE->getSmallbox(array (
  'type' => 'info',
  'icon' => 'fa-solid fa-shopping-cart',
  'text' => 'New orders',
  'number' => '150',
  'url' => '#',
  'linktext' => 'More info',
));
```
